using System.Threading.Tasks;
namespace SharpCifs.Util.Sharpen
{
    public class FilterOutputStream : OutputStream
	{
		protected OutputStream Out;

		public FilterOutputStream (OutputStream os)
		{
			Out = os;
		}

        public override async Task Close()
		{
			await Out.Close ();
		}

		public override async Task FlushAsync ()
		{
			await Out.FlushAsync ();
		}

		public override async Task WriteAsync (byte[] b)
		{
			await Out.WriteAsync (b);
		}

		public override async Task WriteAsync (int b)
		{
			await Out.WriteAsync (b);
		}

        public override async Task WriteAsync (byte[] b, int offset, int len)
		{
			await Out.WriteAsync (b, offset, len);
		}
	}
}
